import random
import time
from tkinter import *
from tkinter.messagebox import * # boîte de dialogue
import webbrowser


a = random.randint(1, 100) # choix de l'inconnue par le programme
p = 100 # points


def Verification():
    global p # pour généraliser la variable sur tout le programme
    if Inconnue.get() != a:
        p = p - 5

    if Inconnue.get() < 1:
        # le nombre est inférieur à 1
        showwarning("Le Juste Prix !", "Le nombre entier à trouver est compris entre 1 et 100 ! Vous venez de perdre 5 points.")
        Inconnue.set("")
    
    elif Inconnue.get() > 100:
        # le nombre est supérieur à 100
        showwarning("Le Juste Prix", "Le nombre entier à trouver est compris entre 1 et 100 ! Vous venez de perdre 5 points.")
        Inconnue.set("")
    
    elif Inconnue.get() < a:
        # le nombre est trop petit
        showerror("Le Juste Prix !", "Plus !")
        Inconnue.set("")
        
    elif Inconnue.get() > a:
        # le nombre est trop grand
        showerror("Le Juste Prix !", "Moins !")
        Inconnue.set("")
        
    else:
        # le nombre est trouvé
        showinfo("Le Juste Prix !", "FELICITATIONS !!! Vous avez trouvé le bon nombre !\nVous avez {} points sur 100.".format(p))
        Mafenetre.destroy()

# Création de la fenêtre principale (main window)
Mafenetre = Tk()
Mafenetre.title("Le Juste Prix !")
Mafenetre.geometry("1250x880")
#Mafenetre.iconbitmap("Images/Icone.ico")
Mafenetre.config(background = "#777769")

# Titre Juste Prix
Titre = Frame(Mafenetre, borderwidth = 10, background = "#4e4e46", relief = RIDGE)
Titre.pack(side = TOP, padx = 30, pady = 30)
Label(Titre, text = "Le Juste Prix !", font = ("Courrier, 40"), background = "#4e4e46", width = 100, height = 2).pack(padx = 10, pady = 10)

# Consigne
Consigne = Label(Mafenetre, text = "Entrez un nombre entre 1 et 100.\nVous avez 100 points et en perdrez 5 à chaque mauvaise réponse.", bg = "#a2a28f", relief = GROOVE, width = 60, height = 5)
Consigne.pack(padx = 10, pady = 50)

# Création d'un widget Entry (champ de saisie)
Inconnue = IntVar()
Inconnue.set("")
Champ = Entry(Mafenetre, textvariable = Inconnue, bg = "bisque", fg = "maroon")
Champ.focus_set()
Champ.pack(side = TOP, padx = 50, pady = 5)

# Création d'un widget Button (bouton Valider)

Bouton = Button(Mafenetre, text = "Valider", command = Verification, bg = "#a2a28f", activebackground = "#a2a28f", height = 2, width = 30)
Bouton.pack(side = TOP, padx = 30, pady = 40)

# Création d'un widget Button2 (bouton Valider)

Bouton2 = Button(Mafenetre, text = "Menu", command = Verification, bg = "#a2a28f", activebackground = "#a2a28f", height = 5, width = 100)
Bouton2.pack(side = TOP, padx = 50, pady = 30)


Mafenetre.mainloop()