from tkinter import *


# Fonction Clavier permettant de déplacer le pion
def Clavier(event):
    global BalleL, BalleC, Tableau
    NewL, NewC = BalleL, BalleC
    Key = event.keysym
    
    if Key == "Left":#"Up" :
        NewL, NewC = BalleL, BalleC - 1
        
    if Key == "Up" :#"Left" :
        NewL, NewC = BalleL - 1, BalleC
    
    if Key == "Right":#"Down" :
        NewL, NewC = BalleL, BalleC + 1
        
    if Key == "Down":#"Right" :
        NewL, NewC = BalleL + 1, BalleC
        
    Verification(NewL,NewC)


# Fonction Verification permettant de vérifier la position du pion
def Verification(NewL, NewC):
    global BalleL, BalleC, Tableau
    
    if Tableau[NewL][NewC] == 0 :
        Tableau[BalleL][BalleC] = 0
        BalleL, BalleC = NewL, NewC
        Tableau[BalleL][BalleC] = 2
        MyCanvas.coords(Piece, BalleC * 20, BalleL * 20, BalleC * 20 + 20, BalleL * 20 + 20)#BalleL * 20, BalleC * 20, BalleL * 20 + 20, BalleC * 20 + 20


# Création de la fenêtre principale (main window)
MaFenetre = Tk()
MaFenetre.title("Labyrinthe")
MaFenetre.geometry("1250x880")
MaFenetre.config(background = "#777769")

# Titre Juste Prix
Titre = Frame(MaFenetre, borderwidth = 10, background = "#4e4e46", relief = RIDGE)
Titre.pack(side = TOP, padx = 30, pady = 30)
Label(Titre, text = "Labyrinthe", font = ("Courrier, 40"), background = "#4e4e46", width = 100, height = 2).pack(padx = 10, pady = 10)

# Consigne
Consigne = Label(MaFenetre, text = "Essayer de trouver la sortie !", bg = "#a2a28f", relief = GROOVE, width = 30, height = 2)
Consigne.pack(padx = 6, pady = 20)


BalleL = 7#10
BalleC = 10#7

MyCanvas = Canvas(MaFenetre, width = 400, height = 300, bg = "white")
Piece = MyCanvas.create_oval(BalleC * 20, BalleL * 20, BalleC * 20 + 20, BalleL * 20 + 20, width = 2, outline = "black", fill = "red") #BalleL * 20, BalleC * 20, BalleL * 20 + 20, BalleC * 20 + 20
MyCanvas.focus_set()
MyCanvas.bind("<Key>", Clavier)
MyCanvas.pack(padx = 50, pady = 50)


# Création du tableau
Tableau = \
[[1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1], \
 [1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1], \
 [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1 ,1, 0, 1], \
 [1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 1], \
 [1, 1, 0, 1, 1, 0, 1, 1, 1, 1, 0, 0, 1, 0, 1, 1, 1, 0, 1], \
 [1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1], \
 [1, 0, 0, 0, 1, 1, 1, 1, 0, 1, 1, 0, 1, 1, 1, 1, 1, 0, 1], \
 [1, 0, 1, 1, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 1], \
 [1, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 1, 1, 0, 1, 1, 1, 1, 1], \
 [1, 0, 1, 0, 1, 1, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1], \
 [1, 0, 1, 0, 0, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1], \
 [1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1], \
 [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1]]

#Tableau[5][5] = 1

Tableau[BalleL][BalleC] = 2

i = 0 # numero colonne
j = 0 # numero ligne
while j < 13:
    while i < 19:
        if Tableau[j][i] == 1 :
            MyCanvas.create_rectangle(i * 20, j * 20, i * 20 + 20, j * 20 + 20, fill = "black")
        i = i + 1
    i = 0
    j = j + 1


# Création d'un widget Button2 (bouton Menu)

Bouton2 = Button(MaFenetre, text = "Menu", command = "", bg = "#a2a28f", activebackground = "#a2a28f", height = 5, width = 100)
Bouton2.pack(side = BOTTOM, padx = 50, pady = 30)


MaFenetre.mainloop()
