from tkinter import *
 
# Création de la fenêtre principale (main window)
MaFenetre = Tk()
MaFenetre.title("Pong (Solo)")
MaFenetre.geometry("1250x880")
MaFenetre.config(background = "#777769")

# Titre Juste Prix
Titre = Frame(MaFenetre, borderwidth = 10, background = "#4e4e46", relief = RIDGE)
Titre.pack(side = TOP, padx = 30, pady = 30)
Label(Titre, text = "Pong (Solo)", font = ("Courrier, 40"), background = "#4e4e46", width = 100, height = 2).pack(padx = 10, pady = 10)

# Consigne
Consigne = Label(MaFenetre, text = "Ne faites pas tomber la balle !", bg = "#a2a28f", relief = GROOVE, width = 30, height = 2)
Consigne.pack(padx = 6, pady = 20)
 
# Canvas
canvas = Canvas(MaFenetre, width = 500, height = 400 , bd = 0, bg = "#ccccb3")
canvas.pack(padx = 10, pady = 10)


# Fonction permettant le déplacement de la balle
def deplacement():
    global dx, dy
    
    if (canvas.coords(Balle)[3] > 400) or (canvas.coords(Balle)[1] < 0) :
        dy = - 1 * dy
    
    if (canvas.coords(Balle)[0] < 0) or (canvas.coords(Balle)[2] > 500) :
        dx = - 1 * dx
    
    if len(canvas.find_overlapping(canvas.coords(Raquette)[0], canvas.coords(Raquette)[1], canvas.coords(Raquette)[2], canvas.coords(Raquette)[3])) > 1 :
        dy = - 1 * dy
    
    canvas.move(1, dx, dy) # Déplacement de la balle
    
    MaFenetre.after(20, deplacement) # Répétition de cette fonction
   
   
# Fonctions permettant le déplacement de la Raquette
def droite(event) :
    canvas.move(Raquette, 10, 0)
def gauche(event) :
    canvas.move(Raquette, -10, 0)
  

# Vitesse de deplacement de la balle
dx = 5
dy = 5

 
# Création de la balle et de la Raquette
Balle = canvas.create_oval(20, 20, 40, 40, fill = "red")
Raquette = canvas.create_rectangle(200, 380, 400, 390, fill = "red")
 
 
# Attribution des fonctions droite() et gauche() aux flèches du clavier
canvas.bind_all("<Right>", droite)
canvas.bind_all("<Left>", gauche)

deplacement()

# Création d'un widget Bouton2 (bouton Menu)

Bouton2 = Button(MaFenetre, text = "Menu", command = "", bg = "#a2a28f", activebackground = "#a2a28f", height = 5, width = 100)
Bouton2.pack(side = BOTTOM, padx = 50, pady = 30)

MaFenetre.mainloop()