class ScreenManager:
	
	def __init__(self, app):
		self.screens = {}
		self.app = app
	
	def append(self, id, screen):
		self.screens[id] = screen
	
	def display(self, id):
		if id in self.screens :
			for widget in self.app.fen.winfo_children():
				widget.destroy()
			self.screens[id].display()
		else :
			print("L'écran n'existe pas")