from tkinter import *
from pong.Ball import Ball
from pong.Pad import Pad

class ScreenPong:
    def __init__(self,app):
        self.app = app
        self.flag = 0
        self.width = 1000
        self.height = 695
        self.canvas = None
        self.pointG, self.pointD = 0,0
        self.titre = None
        self.score = None
        self.pads = None
        self.ball = None
        
    def Nouvelle_partie(self):
        if self.flag == 0 :
            self.flag=1
            self.pads = Pad(self.app,self.canvas,self.flag)
            self.ball = Ball(self.app,self.canvas,self.pads,self.flag,self.onButCallBack)
            self.canvas.bind_all("<space>",self.ball.Debut)
            self.update()

    def onButCallBack (self,pointG, pointD):
        self.pointG += pointG
        self.pointD += pointD
        self.score.config(text = "%d : %d" % (self.pointG,self.pointD))
    def update (self):
        self.pads.update()
        self.ball.update()
        self.canvas.after(70,self.update)

    def back (self):
        self.app.sm.display("home")

    def display (self):
        fen = self.app.fen
        fen['bg'] = "white"
        
        self.canvas = Canvas(fen,width= self.width,height= self.height, bg="white")
        self.canvas.grid(column=0,row=1,sticky="SW",columnspan=5)
        
        boutonquit = Button(fen,text="Quitter partie",command=self.back)
        boutonquit.grid(column=4,row=0,sticky="NE")

        boutonnew= Button(fen,text="Nouvelle partie",command=self.Nouvelle_partie)
        boutonnew.grid(column=0,row=0,sticky="NW")
        
        self.score= Label(self.app.fen,text="%d : %d" % (self.pointG,self.pointD), bg="orange",fg="black")
        self.score.grid(column =2,row=0,sticky="S")
       
        self.titre = Label(self.app.fen,text="Appuyer sur espace pour commencer", bg="orange",fg="black")
        self.titre.grid(column =2,row=2,sticky="S")

        