from tkinter import*
from tapetaupe.TapetaupeGame import TapetaupeGame

class ScreenTapetaupe:
    
    def __init__(self, app):
        self.app = app
        self.game = None
        
    def back(self):
        self.app.sm.display("home")
    
    def restart(self):
        self.game.restart()
    
    def display(self):
        fen = self.app.fen
        fen['bg'] = "white"
        Button(fen, text ='Retour', command = self.back,font=("gothic", 20), background="pink").place(bordermode=INSIDE, height=100, width=200, x=875, y=500)
        Button(fen, text ='Restart', command = self.restart,font=("gothic", 20), background="pink").place(bordermode=INSIDE, height=100, width=200, x=875, y=350)
        Label(fen, text ='Tape Taupe',font=("gothic", 30), fg="orange", background="white").place(bordermode=INSIDE ,height=100, width=400, x=775, y=200)
        self.game = TapetaupeGame(self.app)
