
from tkinter import *
from random import randint
from threading import Thread

#espionnage industiel, ce programme est mal fait

class Fenetre(Tk):
    def __init__(self, width=1000, height=695):
        Tk.__init__(self)
        self.flag = 0

        self.quit= Button(self,text="Quitter partie",command=self.destroy)
        self.quit.grid(column=4,row=0,sticky="NE")

        self.new= Button(self,text="Nouvelle partie",command=self.Nouvelle_partie)
        self.new.grid(column=0,row=0,sticky="NW")


        self.can = Canvas(self,width=width,height=height,bg="white")
        self.can.grid(column=0,row=1,sticky="SW",columnspan=5)

    def Nouvelle_partie(self):
        if self.flag == 0 :
            self.flag=1
            self.pads = Pad(self.can,self.flag)
            self.ball = Ball(self.can,self.pads,self.flag)
            self.update()

    def update (self):
        self.pads.update()
        self.ball.update()
        self.can.after(70,self.update)

class Pad:
    def __init__(self,canvas,flag):
        self.canvas = canvas
        self.flag = flag
        self.height = canvas.winfo_height()
        self.width = canvas.winfo_width()
        self.x1,self.y1 = 10,320
        self.x2,self.y2 = 980,320
        self.direction_G = 0
        self.direction_D = 0

        self.Pad1 = canvas.create_rectangle(self.x1,self.y1,self.x1+15,self.y1+120,fill="black")
        self.Pad2 = canvas.create_rectangle(self.x2,self.y2,self.x2+15,self.y2+120,fill="black")
        
        self.canvas.bind_all("<Any-KeyPress>",self.keyDown)
        
        #canvas.bind_all("<s>", self.Bas_G)
        #canvas.bind_all("<Up>",self.Haut_D)
        #canvas.bind_all("<Down>", self.Bas_D)


    def keyDown (self,event):
        print (event.keycode)
        if event.char == "z" and self.y1>5 :
            self.direction_G = -1
        elif event.char == "s" and self.y1+120<(self.height-5) :
            self.direction_G = 1
        elif event.keycode == 38 and self.y2>5 :
            self.direction_D = -1
        elif event.keycode == 40 and self.y2+120<(self.height-5) :
            self.direction_D = 1

    def update (self):
        newy1 = self.y1+(self.direction_G*20)
        if newy1 > 5 and newy1+120 < (self.height-5) :
            self.y1 = newy1
            self.canvas.coords(self.Pad1,self.x1,self.y1,self.x1+15,self.y1+120)
        newy2 = self.y2+(self.direction_D*20)
        if newy2 > 5 and newy2+120 < (self.height-5) :
            self.y2=newy2
            self.canvas.coords(self.Pad2,self.x2,self.y2,self.x2+15,self.y2+120)

'''
    def Haut_G(self,event) :
        if self.y1>5 :
            self.y1=self.y1-10
            self.canvas.coords(self.Pad1,self.x1,self.y1,self.x1+15,self.y1+120)

    def Bas_G(self,event):
        if self.y1+120<(self.height-5):
            self.y1=self.y1+10
            self.canvas.coords(self.Pad1,self.x1,self.y1,self.x1+15,self.y1+120)

    def Haut_D(self,event):
        if self.y2>5 :
            self.y2=self.y2-10
            self.canvas.coords(self.Pad2,self.x2,self.y2,self.x2+15,self.y2+120)

    def Bas_D(self,event):
        if self.y2+120<(self.height-5):
            self.y2=self.y2+10
            self.canvas.coords(self.Pad2,self.x2,self.y2,self.x2+15,self.y2+120)
'''

class Ball:
    def __init__(self,canvas,pad,flag):
        self.canvas = canvas
        self.pad = pad
        self.height = canvas.winfo_height()
        self.width = canvas.winfo_width()
        self.flag = flag
        self.x1,self.y1 = self.width/2,self.height/2
        self.dx,self.dy = 20,20
        self.Ball = canvas.create_oval(self.x1, self.y1, self.x1+20, self.y1+20, width=2, fill='black')
        self.pointA, self.pointB = 0,0

        self.Pret()

    def Pret(self):
        self.starter=0
        self.score= Label(app,text="%d : %d" % (self.pointA,self.pointB), bg="orange",fg="black")
        self.score.grid(column =2,row=0,sticky="S")
        self.x1,self.y1 = self.width/2,self.height/2
        app.titre = Label(app,text="Appuyer sur espace pour commencer", bg="orange",fg="black")
        app.titre.grid(column =2,row=2,sticky="S")
        self.canvas.bind_all("<space>",self.Debut)


    def Debut(self,event):
        self.starter=1


 
 
              
    def update(self):
        if self.starter==1:
            self.x1, self.y1 = self.x1 +self.dx, self.y1 + self.dy

            if self.y1 >self.height-45:
                self.dx, self.dy = self.dx, -20

            if self.y1 <10:
                self.dx, self.dy = self.dx, 20

            if self.x1 < self.pad.x1+20:
                if self.pad.y1 < self.y1 < self.pad.y1+120:
                    self.dx, self.dy = 20, self.dy

            if self.x1+30 >  self.pad.x2-1:
                if self.pad.y2<self.y1+12.5<self.pad.y2+120:
                     self.dx, self.dy = -20, self.dy

            if self.x1 < 0:
                self.starter = 0
                self.pointB = self.pointB+1
                self.Pret()


            if self.x1+25 > self.width:
                self.starter=0
                self.pointA = self.pointA+1
                self.Pret()

            self.canvas.coords(self.Ball,self.x1,self.y1,self.x1+20,self.y1+20)


if __name__ == "__main__":
    app = Fenetre()
    app.mainloop()