from tkinter import *
from random import randint

class Ball:
    def __init__(self,app,canvas,pad,flag,onButCallBack):
        self.app = app
        self.canvas = canvas
        self.pad = pad
        self.height = canvas.winfo_height()
        self.width = canvas.winfo_width()
        self.flag = flag
        self.x1,self.y1 = self.width/2,self.height/2
        self.dx,self.dy = 20,20
        self.Ball = canvas.create_oval(self.x1, self.y1, self.x1+20, self.y1+20, width=2, fill='black')
        self.onButCallBack = onButCallBack

        self.Pret()

    def Pret(self):
        self.starter=0
        self.x1,self.y1 = self.width/2,self.height/2

    def Debut(self,event):
        self.starter=1

    def update(self):
        if self.starter==1:
            self.x1, self.y1 = self.x1 +self.dx, self.y1 + self.dy

            if self.y1 >self.height-45:
                self.dx, self.dy = self.dx, -20

            if self.y1 <10:
                self.dx, self.dy = self.dx, 20

            if self.x1 < self.pad.x1+20:
                if self.pad.y1 < self.y1 < self.pad.y1+120:
                    self.dx, self.dy = 20, self.dy

            if self.x1+30 >  self.pad.x2-1:
                if self.pad.y2<self.y1+12.5<self.pad.y2+120:
                     self.dx, self.dy = -20, self.dy

            if self.x1 < 0:
                self.starter = 0
                self.onButCallBack(0,1)
                self.Pret()


            if self.x1+25 > self.width:
                self.starter=0
                self.onButCallBack(1,0)
                self.Pret()

            self.canvas.coords(self.Ball,self.x1,self.y1,self.x1+20,self.y1+20)