from tkinter import *

class Pad:
    def __init__(self,app,canvas,flag):
        self.app = app
        self.canvas = canvas
        self.flag = flag
        self.height = 695
        self.width = 1000
        self.x1,self.y1 = 10,320
        self.x2,self.y2 = 980,320
        self.direction_G = 0
        self.direction_D = 0

        self.Pad1 = self.canvas.create_rectangle(self.x1,self.y1,self.x1+15,self.y1+120,fill="black")
        self.Pad2 = self.canvas.create_rectangle(self.x2,self.y2,self.x2+15,self.y2+120,fill="black")
        
        self.canvas.bind_all("<Any-KeyPress>",self.keyDown)
        
        #canvas.bind_all("<s>", self.Bas_G)
        #canvas.bind_all("<Up>",self.Haut_D)
        #canvas.bind_all("<Down>", self.Bas_D)


    def keyDown (self,event):
        print (event.keycode)
        if event.char == "z" and self.y1>5 :
            self.direction_G = -1
        elif event.char == "s" and self.y1+120<(self.height-5) :
            self.direction_G = 1
        elif event.keycode == 38 and self.y2>5 :
            self.direction_D = -1
        elif event.keycode == 40 and self.y2+120<(self.height-5) :
            self.direction_D = 1

    def update (self):
        newy1 = self.y1+(self.direction_G*20)
        if newy1 > 5 and newy1+120 < (self.height-5) :
            self.y1 = newy1
            self.canvas.coords(self.Pad1,self.x1,self.y1,self.x1+15,self.y1+120)
        newy2 = self.y2+(self.direction_D*20)
        if newy2 > 5 and newy2+120 < (self.height-5) :
            self.y2=newy2
            self.canvas.coords(self.Pad2,self.x2,self.y2,self.x2+15,self.y2+120)

'''
    def Haut_G(self,event) :
        if self.y1>5 :
            self.y1=self.y1-10
            self.canvas.coords(self.Pad1,self.x1,self.y1,self.x1+15,self.y1+120)

    def Bas_G(self,event):
        if self.y1+120<(self.height-5):
            self.y1=self.y1+10
            self.canvas.coords(self.Pad1,self.x1,self.y1,self.x1+15,self.y1+120)

    def Haut_D(self,event):
        if self.y2>5 :
            self.y2=self.y2-10
            self.canvas.coords(self.Pad2,self.x2,self.y2,self.x2+15,self.y2+120)

    def Bas_D(self,event):
        if self.y2+120<(self.height-5):
            self.y2=self.y2+10
            self.canvas.coords(self.Pad2,self.x2,self.y2,self.x2+15,self.y2+120)
'''